# Uses of Class
org.apache.sling.event.impl.support.ScheduleInfoImpl

Packages that use ScheduleInfoImpl
Package
Description
org.apache.sling.event.impl.jobs.scheduling
org.apache.sling.event.impl.support

## Uses of ScheduleInfoImpl in org.apache.sling.event.impl.jobs.scheduling

Method parameters in org.apache.sling.event.impl.jobs.scheduling with type arguments of type ScheduleInfoImpl
Modifier and Type
Method
Description
`ScheduledJobInfoImpl`
ScheduledJobHandler.`addOrUpdateJob(String jobTopic, Map<String,Object> jobProperties, String scheduleName, boolean suspend, List<ScheduleInfoImpl> scheduleInfos)`
Write a scheduled job to the resource tree.
`org.apache.sling.event.jobs.ScheduledJobInfo`
JobSchedulerImpl.`addScheduledJob(String topic, Map<String,Object> properties, String scheduleName, boolean isSuspended, List<ScheduleInfoImpl> scheduleInfos, List<String> errors)`
Add a scheduled job

## Uses of ScheduleInfoImpl in org.apache.sling.event.impl.support

Methods in org.apache.sling.event.impl.support that return ScheduleInfoImpl
Modifier and Type
Method
Description
`static ScheduleInfoImpl`
ScheduleInfoImpl.`AT(Date at)`
`static ScheduleInfoImpl`
ScheduleInfoImpl.`CRON(String expr)`
`static ScheduleInfoImpl`
ScheduleInfoImpl.`DAILY(int hour, int minute)`
`static ScheduleInfoImpl`
ScheduleInfoImpl.`deserialize(String s)`
`static ScheduleInfoImpl`
ScheduleInfoImpl.`deserialize(org.apache.sling.event.jobs.ScheduleInfo.ScheduleType scheduleType, String s)`
`static ScheduleInfoImpl`
ScheduleInfoImpl.`HOURLY(int minutes)`
`static ScheduleInfoImpl`
ScheduleInfoImpl.`MONTHLY(int day, int hour, int minute)`
`static ScheduleInfoImpl`
ScheduleInfoImpl.`WEEKLY(int day, int hour, int minute)`
`static ScheduleInfoImpl`
ScheduleInfoImpl.`YEARLY(int month, int day, int hour, int minute)`